# Uses of Class
org.globus.ftp.Options

Packages that use Options
Package
Description
org.globus.ftp
org.globus.ftp.extended
org.globus.ftp.vanilla

## Uses of Options in org.globus.ftp

Subclasses of Options in org.globus.ftp
Modifier and Type
Class
Description
`class`
`ChecksumOptions`
CKSM options as defined in GridFTP.
`class`
`RetrieveOptions`
Options to the command RETR, as defined in GridFTP.
Methods in org.globus.ftp with parameters of type Options
Modifier and Type
Method
Description
`void`
FTPClient.`setOptions(Options opts)`
Sets the supplied options to the server.

## Uses of Options in org.globus.ftp.extended

Methods in org.globus.ftp.extended with parameters of type Options
Modifier and Type
Method
Description
`void`
GridFTPServerFacade.`setOptions(Options opts)`

## Uses of Options in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla with parameters of type Options
Modifier and Type
Method
Description
`void`
FTPServerFacade.`setOptions(Options opts)`
Do nothing; this class does not support any options